> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a flow

> Terminally archive a flow by its ID. Archived flows cannot be restored and are hidden from customer reads. Repeating the request is idempotent for the owner.



## OpenAPI

````yaml /api-reference/workflows.yaml delete /flows/{flowId}
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /flows/{flowId}:
    delete:
      tags:
        - Flows
      summary: Archive a flow
      description: >-
        Terminally archive a flow by its ID. Archived flows cannot be restored
        and are hidden from customer reads. Repeating the request is idempotent
        for the owner.
      operationId: deleteFlow
      parameters:
        - in: path
          name: flowId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
          description: Flow archived
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const flow = await
            client.workflows.flows.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(flow.message);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            flow = client.workflows.flows.delete(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(flow.message)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````